brut.androlib.AndrolibException

There are no available Samebug tips for this exception. Do you have an idea how to solve this issue? A short tip would help users who saw this issue last week.

  • APktool error on kali
    via Stack Overflow by Pierre Herman
    ,
  • How to fix this error?
    via GitHub by userdsp
    ,
    • brut.androlib.AndrolibException: brut.androlib.AndrolibException: brut.common.BrutException: could not exec (exit code = 1): [/tmp/brut_util_Jar_4674134376593598354.tmp, p, --forced-package-id, 127, --min-sdk-version, 14, --target-sdk-version, 24, --version-code, 58383328, --version-name, 6.7.128801648.release, -F, /tmp/APKTOOL3950359885408230238.tmp, -0, arsc, -0, opng, -0, webp, -0, html, -0, arsc, -I, /home/mohammadq/.local/share/apktool/framework/1.apk, -S, /home/mohammadq/Documents/Social_apps/Gmail/6.7.128801648/gmail/res, -M, /home/mohammadq/Documents/Social_apps/Gmail/6.7.128801648/gmail/AndroidManifest.xml] at brut.androlib.Androlib.buildResourcesFull(Androlib.java:473) at brut.androlib.Androlib.buildResources(Androlib.java:407) at brut.androlib.Androlib.build(Androlib.java:306) at brut.androlib.Androlib.build(Androlib.java:263) at brut.apktool.Main.cmdBuild(Main.java:224) at brut.apktool.Main.main(Main.java:84) Caused by: brut.androlib.AndrolibException: brut.common.BrutException: could not exec (exit code = 1): [/tmp/brut_util_Jar_4674134376593598354.tmp, p, --forced-package-id, 127, --min-sdk-version, 14, --target-sdk-version, 24, --version-code, 58383328, --version-name, 6.7.128801648.release, -F, /tmp/APKTOOL3950359885408230238.tmp, -0, arsc, -0, opng, -0, webp, -0, html, -0, arsc, -I, /home/mohammadq/.local/share/apktool/framework/1.apk, -S, /home/mohammadq/Documents/Social_apps/Gmail/6.7.128801648/gmail/res, -M, /home/mohammadq/Documents/Social_apps/Gmail/6.7.128801648/gmail/AndroidManifest.xml] at brut.androlib.res.AndrolibResources.aaptPackage(AndrolibResources.java:439) at brut.androlib.Androlib.buildResourcesFull(Androlib.java:459) ... 5 more Caused by: brut.common.BrutException: could not exec (exit code = 1): [/tmp/brut_util_Jar_4674134376593598354.tmp, p, --forced-package-id, 127, --min-sdk-version, 14, --target-sdk-version, 24, --version-code, 58383328, --version-name, 6.7.128801648.release, -F, /tmp/APKTOOL3950359885408230238.tmp, -0, arsc, -0, opng, -0, webp, -0, html, -0, arsc, -I, /home/mohammadq/.local/share/apktool/framework/1.apk, -S, /home/mohammadq/Documents/Social_apps/Gmail/6.7.128801648/gmail/res, -M, /home/mohammadq/Documents/Social_apps/Gmail/6.7.128801648/gmail/AndroidManifest.xml] at brut.util.OS.exec(OS.java:95) at brut.androlib.res.AndrolibResources.aaptPackage(AndrolibResources.java:433) ... 6 more

    Users with the same issue

    Unknown visitor1 times, last one,
    Unknown visitor1 times, last one,